classdef NoCost < falcon.parest.costfunction.impl.Base
    % NOCOST Summary of this class goes here
    %   Detailed explanation goes here

    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    properties
        % covariance matrix scaling
        CovarianceScalingMatrix
        % scalar scaling factor
        ScalarScaling
        % indicate if output scaling is to be used
        CovarianceScalingMode
    end

    methods
        function val = ddJ_ddp(obj, meas, model)
        % falcon.parest.costfunction.impl.NoCost/ddJ_ddp is a function.
        %   val = ddJ_ddp(obj, meas, model)
        end

        function val = ddJ_dd(obj, meas, model)
        % falcon.parest.costfunction.impl.NoCost/ddJ_dd is a function.
        %   val = ddJ_dd(obj, meas, model)
        end

        function val = dJ_dp(obj, meas, model)
        % falcon.parest.costfunction.impl.NoCost/dJ_dp is a function.
        %   val = dJ_dp(obj, meas, model)
        end

        function val = dJ_d(obj, meas, model)
        % create zero derivative cell of proper size
        end

        function [val, B_inv] = J(obj, meas, model)
        % dummy to be overwritten in child classes
        end

        function obj = NoCost(CostFunction)
        % NOCOST Summary of this class goes here
        %   Detailed explanation goes here
        end

    end

end