classdef Version
    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    % -------------------------------------------------------------------------
    %                                FALCON.m
    % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
    % Matthias Bittner, Matthias Rieck, Maximilian Richter,
    % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
    % Patrick Piprek, and Florian Holzapfel
    % Downloading, using, copying, or modifying FALCON.m code constitutes an
    % agreement to ALL of the terms of the FALCON.m EULA.
    % -------------------------------------------------------------------------

    properties
        % falcon.release.Version/Name is a property.
        Name
        % falcon.release.Version/Number is a property.
        Number
        % falcon.release.Version/Build is a property.
        Build
        % Series -  adapt for project-specific FALCON.m
        Series
    end

    methods
        function text = cellstr(self)
        % CELLSTR Create cell array of character vectors
        %   C = CELLSTR(S) converts S to a cell array of character vectors.
        %   If S is a string array, then CELLSTR converts each element of S.
        %   If S is a character array, then CELLSTR places each row into a
        %   separate cell of C. Any trailing spaces in the character vectors are 
        %   removed.
        %  
        %   Use STRING to convert C to a string array, or CHAR to convert C
        %   to a character array.
        %  
        %   Another way to create a cell array of character vectors is by using 
        %   curly braces:
        %      C = {'hello' 'yes' 'no' 'goodbye'};
        end

        function text = char(self)
        % CHAR Create character array
        %   CHR = CHAR(X) converts array X of nonnegative integer codes into a
        %   character array. Valid codes range from 0 to 65535, where codes 0 to
        %   127 correspond to 7-bit ASCII characters. The characters that MATLAB
        %   can process (other than 7-bit ASCII characters) depend on your current
        %   locale setting. Use DOUBLE to convert characters to numeric codes.
        %  
        %   CHR = CHAR(C), when C is a cell array of character vectors, places each 
        %   element of C into a row of the character array CHR. Use CELLSTR to
        %   convert back.
        %  
        %   CHR = CHAR(STR), when STR is a string array, converts each element of STR into 
        %   a row of the character array CHR. Use STRING to convert back.
        %  
        %   CHR = CHAR(T1,T2,T3,..) forms the character array CHR containing the
        %   text from T1,T2,T3,... as rows. CHAR automatically pads each row with
        %   spaces in order to form a character array. Each text parameter, Ti,
        %   can itself be a character array. This allows the creation of
        %   arbitrarily large character arrays. If Ti has no characters, then the
        %   corresponding row of CHR is filled with spaces.
        end

        function text = string(self)
        % falcon.release.Version/string is a function.
        %   [text] = string(self)
        end

        function obj = Version()
        % -------------------------------------------------------------------------
        %                                FALCON.m
        % Copyright (c) 2014-2019 Institute of Flight System Dynamics, TUM, Munich
        % Matthias Bittner, Matthias Rieck, Maximilian Richter,
        % Benedikt Grueter, Johannes Diepolder, Florian Schwaiger,
        % Patrick Piprek, and Florian Holzapfel
        % Downloading, using, copying, or modifying FALCON.m code constitutes an
        % agreement to ALL of the terms of the FALCON.m EULA.
        % -------------------------------------------------------------------------
        end

    end

end