% -*- buffer-read-only: t -*- vi: set ro:
%
% DO NOT EDIT THIS FILE   (worhp_enum.m)
%
% It has been AutoGen-ed
% From the definitions    auto/NLP.def
% and the template file   worhp_enum.tpl

classdef worhp_enum < int32
  enumeration
    %----------------------------------------------------------------- 
    %  Array sizes
    %-----------------------------------------------------------------
    WMTslices ( 100 )
    WMTrows ( 6 )
    WMTnames ( 20 )
    NAres ( 7 )
    NUserAction ( 14 )
    NStageHistory ( 10 )
    %----------------------------------------------------------------- 
    %  Feasibility mode flags
    %-----------------------------------------------------------------
    FEAS_MODE_OFF ( 0 )
    FEAS_MODE_INITIAL ( 1 )
    % was: JustFeasible
    FEAS_MODE_NOOBJ ( 2 )
    % was: FeasModeActive
    FEAS_MODE_DUAL ( 4 )
    %----------------------------------------------------------------- 
    %  Zen RC flags
    %-----------------------------------------------------------------
    Zen_RC_Init ( 0 )
    Zen_RC_Renew_LU ( 1 )
    Zen_RC_DGp ( 2 )
    Zen_RC_DLp ( 3 )
    Zen_RC_DLxp ( 4 )
    Zen_RC_DLpp ( 5 )
    %----------------------------------------------------------------- 
    %  User action constants
    %-----------------------------------------------------------------
    callWorhp ( 1 )
    evalF ( 2 )
    evalG ( 3 )
    evalDF ( 4 )
    evalDG ( 5 )
    evalHM ( 6 )
    evalZenDGp ( 7 )
    evalZenDLxp ( 8 )
    evalZenDLp ( 9 )
    evalZenDLpp ( 10 )
    iterOutput ( 11 )
    fidif_DF ( 12 )
    fidif_DG ( 13 )
    fidif_HM ( 14 )
    % Not actually a user action, but a combination of all fidif_*
    fidif ( 15 )
    %----------------------------------------------------------------- 
    %  SQP status constants
    %-----------------------------------------------------------------
    % 1st call to SQP
    FirstCall ( 20 )
    % SQP is iterating
    Iterating ( 21 )
    % SQP is iterating
    IteratingAres ( 22 )
    % 1st Armijo call in current major iter
    ArmijoFirstCall ( 23 )
    % Armijo updates x and flags user action
    ArmijoUpdate ( 24 )
    % Armijo evaluates merit function
    ArmijoEvaluate ( 25 )
    % QP solver wants to try an SLP step
    SolverSLP ( 26 )
    % FD Hessian determination RC flag
    fidif_HM_RC_start ( 27 )
    % FD Hessian determination RC flag
    fidif_HM_RC_pert_fi ( 28 )
    % FD Hessian determination RC flag
    fidif_HM_RC_pert_fij ( 29 )
    % FD Hessian determination RC flag
    fidif_HM_RC_pert_fdiag ( 30 )
    % FD Hessian determination RC flag
    fidif_HM_RC_pert_gi ( 31 )
    % FD Hessian determination RC flag
    fidif_HM_RC_pert_hgr ( 32 )
    % FD Hessian determination RC flag
    fidif_HM_RC_pert_hgrsgr ( 33 )
    % FD Hessian determination RC flag
    fidif_HM_RC_pert_gij ( 34 )
    % FD Hessian determination RC flag
    fidif_HM_RC_pert_gdiag ( 35 )
    % Setting up Zen
    ZenSetup ( 36 )
    % CorStep is iterating
    CorStepIterating ( 37 )
    %----------------------------------------------------------------- 
    %  Armijo recovery strategies
    %-----------------------------------------------------------------
    % Armijo recovery strategy: SLP step
    AresSLP ( 41 )
    % Armijo recovery strategy: Non-monotone
    AresNonMon ( 42 )
    % Armijo recovery strategy: Force 1
    AresForce ( 43 )
    % Armijo recovery strategy: Switch to dual-feas-mode
    AresFeas ( 44 )
    % Give up
    AresGiveUp ( 50 )
    %----------------------------------------------------------------- 
    %  SQP stages
    %-----------------------------------------------------------------
    No_Stage ( 100 )
    Init_SQP ( 101 )
    Pre_KKT ( 102 )
    Check_KKT ( 103 )
    Create_QP ( 104 )
    Hessian_Regularisation ( 105 )
    Solve_QP ( 106 )
    Post_QP ( 107 )
    Find_Stepsize ( 108 )
    Update_Point ( 109 )
    Pre_CorStep ( 110 )
    CorStepcon ( 111 )
    Recovery_Strategies ( 112 )
    Finalise ( 113 )
    SLP_step ( 114 )
    Solve_Feasibility_QP ( 115 )
    Post_Optimum ( 116 )
    Pre_BStep ( 117 )
    BStep ( 118 )
    %----------------------------------------------------------------- 
    %  (somehow) successful termination
    %-----------------------------------------------------------------
    TerminateSuccess ( 1000 )
    OptimalSolution ( 1001 )
    % IER = 1
    SearchDirectionZero ( 1002 )
    % IER = 2
    SearchDirectionSmall ( 1003 )
    % IER = 3
    StationaryPointFound ( 1004 )
    AcceptableSolution ( 1005 )
    AcceptablePrevious ( 1006 )
    FritzJohn ( 1007 )
    NotDiffable ( 1008 )
    Unbounded ( 1009 )
    FeasibleSolution ( 1010 )
    LowPassFilterOptimal ( 1011 )
    LowPassFilterAcceptable ( 1012 )
    OptimalSolutionBoxEqual ( 1013 )
    %----------------------------------------------------------------- 
    %  (somehow) unsuccessful termination
    %-----------------------------------------------------------------
    TerminateError ( -1000 )
    InitError ( -1001 )
    DataError ( -1002 )
    MaxCalls ( -1003 )
    % IER = 4
    MaxIter ( -1004 )
    % IER = -3
    MinimumStepsize ( -1006 )
    % IER < -10
    QPerror ( -1007 )
    % IER = 6
    ProblemInfeasible ( -1008 )
    GroupsComposition ( -1009 )
    TooBig ( -1010 )
    evalsNaN ( -1011 )
    Timeout ( -1012 )
    FDError ( -1013 )
    LocalInfeas ( -1014 )
    LicenseError ( -1015 )
    LicenseWarnExpiryDays ( 31 )
    TerminatedByUser ( -1020 )
    FunctionErrorF ( -1100 - 2 )
    FunctionErrorG ( -1100 - 3 )
    FunctionErrorDF ( -1100 - 4 )
    FunctionErrorDG ( -1100 - 5 )
    FunctionErrorHM ( -1100 - 6 )
  end
end

